프로젝트 웹훅 API
REST API를 사용하여 프로젝트의 웹훅을 설정하고 관리합니다.
- Tier: Free, Premium, Ultimate - Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated 이 API를 사용하여 프로젝트 웹훅 을 관리합니다. 프로젝트 웹훅은 전체 인스턴스에 영향을 미치는 시스템 훅 및 그룹의 모든 프로젝트와 하위 그룹에 영향을 미치는 그룹 웹훅 과 다릅니다. 사전 요건: 프로젝트에 대한 관리자 권한이 있거나 Maintainer 또는 Owner 권한이 있어야 합니다. 프로젝트의 웹훅 목록 조회 # 프로젝트 웹훅 목록을 가져옵니다. GET /projects/:id/hooks 지원되는 속성: 속성 유형 필수 설명 id integer or string Yes 프로젝트의 ID 또는 URL 인코딩된 경로. 프로젝트 웹훅 조회 # History GitLab 17.1에서 name 및 description 속성이 도입됨 . GitLab 19.0에서 token_present 및 signing_token_present 속성이 도입됨 . 프로젝트의 지정된 웹훅을 조회합니다. GET /projects/:id/hooks/:hook_id 지원되는 속성: 속성 유형 필수 설명 hook_id integer Yes 프로젝트 웹훅의 ID. id integer or string Yes 프로젝트의 ID 또는 URL 인코딩된 경로. 응답 예시: { "id": 1, "url": "http://example.com/hook", "name": "Hook name", "description": "Hook description", "project_id": 3, "push_events": true, "push_events_branch_filter": "", "issues_events": true, "confidential_issues_events": true, "merge_requests_events": true, "tag_push_events": true, "note_events": true, "confidential_note_events": true, "job_events": true, "pipeline_events": true, "wiki_page_events": true, "deployment_events": true, "releases_events": true, "milestone_events": true, "feature_flag_events": true, "enable_ssl_verification": true, "repository_update_events": false, "alert_status": "executable", "disabled_until": null, "url_variables": [ ], "created_at": "2012-10-12T17:04:47Z", "resource_access_token_events": true, "custom_webhook_template": "{\"event\":\"{{object_kind}}\"}", "custom_headers"